Patch Webhook
curl --request PATCH \
--url https://api.management.junction.com/v1/org/{org_id}/team/{team_id}/{environment}/webhook/{webhook_id} \
--header 'Content-Type: application/json' \
--header 'X-Management-Key: <api-key>' \
--data '
{
"description": "<string>",
"rate_limit": 123,
"url": "<string>",
"disabled": true,
"filter_types": "daily.data.activity.created"
}
'import requests
url = "https://api.management.junction.com/v1/org/{org_id}/team/{team_id}/{environment}/webhook/{webhook_id}"
payload = {
"description": "<string>",
"rate_limit": 123,
"url": "<string>",
"disabled": True,
"filter_types": "daily.data.activity.created"
}
headers = {
"X-Management-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-Management-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
description: '<string>',
rate_limit: 123,
url: '<string>',
disabled: true,
filter_types: 'daily.data.activity.created'
})
};
fetch('https://api.management.junction.com/v1/org/{org_id}/team/{team_id}/{environment}/webhook/{webhook_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"url": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"rate_limit": 123,
"disabled": false,
"filter_types": "daily.data.activity.created"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Team Webhooks
Patch Webhook
Patch org team webhook via the Junction API. Requires authentication with your team API key.
PATCH
/
v1
/
org
/
{org_id}
/
team
/
{team_id}
/
{environment}
/
webhook
/
{webhook_id}
Patch Webhook
Junction Management API is available for the Scale plan.
The base URL of this endpoint is
https://api.management.junction.com/.The endpoint accepts only Management Key (X-Management-Key).
Team API Key is not accepted.Authorizations
Path Parameters
Available options:
production, sandbox Body
application/json
Response
Successful Response
Was this page helpful?
⌘I